# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TGetTablesResp

Packages that use TGetTablesResp
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TGetTablesResp in com.databricks.jdbc.model.client.thrift.generated

Subclasses with type arguments of type TGetTablesResp in com.databricks.jdbc.model.client.thrift.generated
Modifier and Type
Class
Description
`static class`
`TCLIService.AsyncClient.GetTables_call`
`static class`
`TCLIService.AsyncProcessor.GetTables<I extends TCLIService.AsyncIface>`
Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TGetTablesResp
Modifier and Type
Class
Description
`class`
`TGetTablesResp`
`class`
`TGetTablesResp`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TGetTablesResp
Modifier and Type
Field
Description
`TGetTablesResp`
TCLIService.GetTables_result.`success`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TGetTablesResp
Modifier and Type
Method
Description
`TGetTablesResp`
TGetTablesResp.`deepCopy()`
`TGetTablesResp`
TCLIService.AsyncClient.GetTables_call.`getResult()`
`TGetTablesResp`
TCLIService.GetTables_result.`getSuccess()`
`TGetTablesResp`
TCLIService.Client.`GetTables(TGetTablesReq req)`
`TGetTablesResp`
TCLIService.Iface.`GetTables(TGetTablesReq req)`
`TGetTablesResp`
TCLIService.Client.`recv_GetTables()`
`TGetTablesResp`
TGetTablesResp.`setDirectResults(TSparkDirectResults directResults)`
`TGetTablesResp`
TGetTablesResp.`setOperationHandle(TOperationHandle operationHandle)`
`TGetTablesResp`
TGetTablesResp.`setStatus(TStatus status)`
Methods in com.databricks.jdbc.model.client.thrift.generated that return types with arguments of type TGetTablesResp
Modifier and Type
Method
Description
`org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp>`
TCLIService.AsyncProcessor.GetTables.`getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTablesResp
Modifier and Type
Method
Description
`int`
TGetTablesResp.`compareTo(TGetTablesResp other)`
`boolean`
TGetTablesResp.`equals(TGetTablesResp that)`
`TCLIService.GetTables_result`
TCLIService.GetTables_result.`setSuccess(TGetTablesResp success)`
Method parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetTablesResp
Modifier and Type
Method
Description
`void`
TCLIService.AsyncClient.`GetTables(TGetTablesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler)`
`void`
TCLIService.AsyncIface.`GetTables(TGetTablesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler)`
`void`
TCLIService.AsyncProcessor.GetTables.`start(I iface, TCLIService.GetTables_args args, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TGetTablesResp
Modifier
Constructor
Description
``
`GetTables_result(TGetTablesResp success)`
``
`TGetTablesResp(TGetTablesResp other)`
Performs a deep copy on other.
Constructor parameters in com.databricks.jdbc.model.client.thrift.generated with type arguments of type TGetTablesResp
Modifier
Constructor
Description
``
`GetTables_call(TGetTablesReq req, org.apache.thrift.async.AsyncMethodCallback<TGetTablesResp> resultHandler, org.apache.thrift.async.TAsyncClient client, org.apache.thrift.protocol.TProtocolFactory protocolFactory, org.apache.thrift.transport.TNonblockingTransport transport)`